> ## Documentation Index
> Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Cards Transaction

> 返回与所提供的 transaction id 关联的签发交易对象。



## OpenAPI

````yaml /zh/card-issuance/v1.6/issuing.yaml get /v1/issuing/transactions/{id}
openapi: 3.0.2
info:
  title: Issuing API
  version: 0.0.1
  x-source-en-commit: 6841624
  x-source-en-path: card-issuance/v1.6/issuing.yaml
  description: >
    UQPAY Issuing API 让你签发虚拟卡、管理持卡人，并监控卡交易。


    ## 功能概览

    - 创建并管理虚拟卡（签发、激活、冻结、注销）

    - 通过 KYC 完成持卡人入驻与验证

    - 设置消费限额与卡控制

    - 为卡余额充值与提现

    - 查询卡交易与账户余额

    - 在发卡账户之间转账

    - 生成并下载报表


    ## 身份认证

    所有请求都需要携带有效的鉴权 Token，Token 通过 [Access
    Token](/zh/account-center/v1.6/api-reference/access-token) 接口获取。请在
    `x-auth-token` 请求头中携带该 Token。


    ## 幂等性

    POST 请求支持 `x-idempotency-key` 请求头，可安全重试而不会创建重复资源。
  contact:
    name: UQPAY Support Team
    url: https://www.uqpay.com/support
    email: support@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: uqpay-issuing-api-v1.6.0
  x-categories:
    - Card Issuing
    - Transaction Processing
  x-features:
    - Virtual Card Issuance
    - Real-time Processing
    - Webhook Notifications
    - Comprehensive Reporting
    - Transaction Monitoring
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: 沙盒环境基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Card Lifecycle
    description: 创建卡片并管理其完整生命周期——签发、查询、更新、激活、绑定与变更状态。
  - name: Card Secure Data
    description: 通过 PCI 合规接口或令牌化 iframe 访问敏感卡数据（PAN、CVV）。是否可用取决于你的 PCI 状态，而非卡产品。
  - name: Card Funding
    description: 为预付类卡片充值或提取其卡内储值余额。
  - name: Card PIN
    description: 设置并管理卡片 PIN 码。`reset-pin` 用于实体卡，`manage-card-pin` 用于虚拟卡。
  - name: Card Add-ons
    description: >-
      产品专属的卡功能。每个操作仅适用于特定卡产品——参见
      [卡产品](/zh/card-issuance/v1.6/guide/card-products)。
  - name: Card Arts
    description: >-
      管理发卡账户可用的视觉设计（卡面）。可设置账户级默认卡面，或在签发/更新卡片时传入 `card_art_id` 以按卡覆盖。仅 Personal
      Visa 支持。
  - name: Cardholders
    description: 你可以创建持卡人。持卡人是你企业的授权代表，可被签发卡片。
  - name: Transactions
    description: 这些接口用于查询在你用户卡片上发生的交易信息。
  - name: Products
    description: 通过这组接口，你可以为客户创建卡订单。
  - name: Balances
    description: 各币种的可用金额与待处理金额会进一步按资金来源类型细分。你可以查询它，查看发卡账户当前的余额。
  - name: Transfers
    description: 在发卡账户之间转账。
  - name: Reports
    description: 生成并下载发卡报表。
  - name: Simulator
    description: 在沙盒环境中模拟卡交易。
paths:
  /v1/issuing/transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Retrieve Cards Transaction
      description: 返回与所提供的 transaction id 关联的签发交易对象。
      operationId: retrieve-cards-transaction
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/TransactionId'
      responses:
        '200':
          description: 成功返回卡片交易。
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardTransactionDetailResponse'
                title: TransferRetrieveResponse
              examples:
                sandbox:
                  summary: Sandbox response
                  value:
                    card_id: ecfc3211-9f9a-4b57-90c3-f0fbb307e9bd
                    card_number: '************0884'
                    cardholder_id: 9efdc467-ec15-4d7b-bdb9-61f375f809f6
                    transaction_id: c3dbfba4-c9db-47fd-8d6f-4d2e58eb535f
                    short_transaction_id: T260909-2PD70R2OP728
                    original_transaction_id: ''
                    transaction_type: FUND COLLECTION
                    card_available_balance: '21.88'
                    authorization_code: ''
                    billing_amount: '0'
                    billing_currency: USD
                    transaction_amount: '0.1'
                    transaction_currency: USD
                    transaction_fee: '0'
                    transaction_fee_currency: ''
                    fee_pass_through: 'N'
                    transaction_time: '2026-09-09T16:07:03.249+08:00'
                    merchant_data:
                      category_code: '5734'
                      city: SINGAPORE
                      country: US
                      name: WMc08ed90f oct
                    description: High Risk Transaction
                    transaction_status: DECLINED
                    wallet_type: ''
                    settlement_status: NOT_APPLICABLE
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        指定代表哪个子账户发起请求。应设置为 `account_id`，该值可通过 [List Connected
        Accounts](/zh/account-center/v1.6/api-reference/list-connected-accounts)
        接口获取。若省略或为空，则请求以主账户身份执行。

        更多信息参见 [关联账户](/zh/account-center/v1.6/guide/connected-accounts)。
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    TransactionId:
      name: id
      description: 卡片交易的唯一标识符。
      in: path
      required: true
      schema:
        type: string
        example: c0cef051-29c5-4796-b86a-cd5b684bfad7
  headers:
    XResponseId:
      description: 响应的全局唯一标识符（UUID v4）。在联系 UQPAY 支持团队时有助于定位某次请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    CardTransactionDetailResponse:
      allOf:
        - $ref: '#/components/schemas/CardTranactionsResponse'
        - type: object
          required:
            - settlement_status
          properties:
            settlement_status:
              type: string
              example: UNKNOWN
              enum:
                - UNKNOWN
                - UNSETTLED
                - SETTLED
                - NOT_APPLICABLE
              description: |
                表示 UQPAY 是否已记录该笔交易的清算，仅在交易详情响应中返回。
                - `SETTLED`：已记录清算，包括部分清算；不表示全额结算已完成。
                - `UNSETTLED`：对于等待清算的交易，尚未记录清算。
                - `NOT_APPLICABLE`：该笔交易不适用清算。
                - `UNKNOWN`：UQPAY 无法确定清算状态；不能据此认定清算尚未发生。
    CardTranactionsResponse:
      type: object
      required:
        - card_id
        - card_number
        - cardholder_id
        - transaction_id
        - short_transaction_id
        - original_transaction_id
        - transaction_type
        - transaction_fee
        - transaction_fee_currency
        - fee_pass_through
        - card_available_balance
        - authorization_code
        - billing_amount
        - billing_currency
        - transaction_amount
        - transaction_currency
        - transaction_time
        - description
        - transaction_status
      properties:
        card_id:
          $ref: '#/components/schemas/CardId'
        card_number:
          $ref: '#/components/schemas/CardNumber'
        cardholder_id:
          $ref: '#/components/schemas/CardholderId'
        transaction_id:
          $ref: '#/components/schemas/TransactionId'
        short_transaction_id:
          $ref: '#/components/schemas/ShortTransactionId'
        original_transaction_id:
          $ref: '#/components/schemas/OriginalTransactionId'
        transaction_type:
          $ref: '#/components/schemas/CardTranscationType'
        transaction_fee:
          type: string
          example: '0.25'
          description: 交易手续费。
        transaction_fee_currency:
          type: string
          example: SGD
          description: 交易手续费币种。
        fee_pass_through:
          type: string
          example: 'Y'
          enum:
            - 'Y'
            - 'N'
          description: >
            表示本次交易是否带有转嫁的低额交易费（LOW_TRANSACTION_FEE）。

            * `Y` – 交易触发了低额交易费规则；`transaction_fee` / `transaction_fee_currency`
            携带该转嫁费用。

            * `N` – 不适用此类转嫁费用（默认）。

            仅当交易金额（以 USD 计）落在卡片配置的低额交易费阈值区间内时触发。
        card_available_balance:
          type: string
          example: '2506.26'
          description: 卡片可用余额。
        authorization_code:
          type: string
          example: 856268
          description: 授权码
        billing_amount:
          type: string
          example: '70.25'
          description: 账单金额
        billing_currency:
          type: string
          example: SGD
          description: 账单币种
        transaction_amount:
          type: string
          example: '100.25'
          description: 交易金额
        transaction_currency:
          type: string
          example: USD
          description: 交易币种
        transaction_time:
          type: string
          example: '2024-03-21T17:17:32+08:00'
          description: 交易发生时间
        posted_time:
          type: string
          example: '2024-03-21T17:17:32+08:00'
          description: 交易入账时间
        merchant_data:
          $ref: '#/components/schemas/MerchantData'
        description:
          type: string
          description: >
            根据交易状态提供额外的上下文信息。

            - 若 `transaction_status` 为 `DECLINED`，此字段包含失败原因。

            - 若 `transaction_status` 为 `APPROVED`，此字段包含补充备注（如 "1000 -
            Authorization Approval"、"3DS Fee"）。
          example: 1107 - Invalid CVV2
        transaction_status:
          type: string
          description: 表示交易生命周期所处阶段的高层状态。
          example: DECLINED
          enum:
            - APPROVED
            - DECLINED
            - PENDING
        wallet_type:
          $ref: '#/components/schemas/WalletType'
    CardId:
      type: string
      example: c0cef051-29c5-4796-b86a-cd5b684bfad7
      description: 卡片的唯一标识符。
    CardNumber:
      type: string
      example: '************5668'
      description: 脱敏卡号
    CardholderId:
      type: string
      description: 持卡人的唯一标识符。
      example: 7c4ff2cd-1bf6-4aaa-bf16-266771425011
      format: uuid
    TransactionId:
      type: string
      format: uuid
      description: 交易的唯一标识符。
      example: 5135e6cc-28b6-4889-81dc-3b86a09e1395
    ShortTransactionId:
      type: string
      description: 交易的短唯一标识符。
      example: CT2024-03-01
    OriginalTransactionId:
      oneOf:
        - title: Related transaction
          type: string
          format: uuid
        - title: Related transaction ID unavailable
          type: string
          enum:
            - ''
      description: 关联交易的唯一标识符。空字符串表示没有可用的关联交易 ID。
      example: 1234e6cc-28b6-4889-81dc-3b86a09e1395
    CardTranscationType:
      type: string
      example: AUTHORIZATION
      description: >
        卡片交易类型。


        - `AUTHORIZATION`：因用卡而预留的资金。

        - `REFUND`：将消费金额退回账户余额。

        - `FUND COLLECTION`：由卡组织上报、入账到持卡人卡账户的入款。由网络触发（而非持卡人 API 调用）；与 CARD
        RECHARGE 不同。

        - `ATM DEPOSIT`：通过 ATM 存入账户的资金。

        - `REVERSAL`：对授权的冲正。

        - `VALIDATION`：绑卡验证。

        - `SETTLEMENT DEBIT`：对账差异的轧差与扣减。

        - `SETTLEMENT CREDIT`：对账差异的轧差与入账。

        - `SETTLEMENT REVERSAL`：对账差异的轧差与冲正。

        - `CHARGEBACK DEBIT`：因拒付而扣减的资金。

        - `CHARGEBACK CREDIT`：因拒付而入账的资金。
      enum:
        - AUTHORIZATION
        - REFUND
        - FUND COLLECTION
        - ATM DEPOSIT
        - REVERSAL
        - VALIDATION
        - SETTLEMENT DEBIT
        - SETTLEMENT CREDIT
        - SETTLEMENT REVERSAL
        - CHARGEBACK DEBIT
        - CHARGEBACK CREDIT
    MerchantData:
      type: object
      description: 本次交易涉及的商户详情（如杂货店、电商网站等）。
      properties:
        category_code:
          type: string
          description: 商户经营的商户类别代码（MCC）。
          example: '6011'
        city:
          type: string
          description: 商户所在城市
          example: CITY NAME
        country:
          type: string
          description: 商户所在国家
          example: CN
        name:
          type: string
          description: 商户名称
          example: ACQUIRER NAME
    WalletType:
      type: string
      description: >-
        数字钱包及交易场景。CONTACTLESS 表示非接触式支付，ECOM 表示电子商务交易。OTHER
        表示无法识别的非空钱包值；空字符串表示未使用数字钱包或无钱包信息。
      enum:
        - APPLE_PAY_CONTACTLESS
        - APPLE_PAY_ECOM
        - GOOGLE_PAY_CONTACTLESS
        - GOOGLE_PAY_ECOM
        - SAMSUNG_PAY_CONTACTLESS
        - SAMSUNG_PAY_ECOM
        - OTHER
        - ''
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPAY 提供的登录 API Token。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.